#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
if [ $EUID != 0 ] # Another alternative to (( EUID != 0 ))
then
	echo "This script must be run as a root"
	exit 1
fi
wget http://www.collados.org/asix1/m01/tu3/users.ods 2> /dev/null
if [[ $? != 0 ]]
then
	echo "Users list not found"
	exit 2
fi
libreoffice --headless --convert-to csv users.ods > /dev/null
if [[ $? != 0 ]]
then
	echo "Conversion failure"
	exit 3
fi
echo "Removing users from your system....."
while read username
do
    userdel -r $username 2> /dev/null
    if [[ $? != 0 ]]
	then
		echo "Problems removing a user"
		exit 4
	fi
done < users.csv
rm users.*  # This is an extra. It removes users.ods and user.csv, that are not longer required
echo "Users were succesfully removed from your system"
exit 0
