#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
#####CHECK IF YOU ARE THE ROOT USER###############################################################################
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 1  
fi
###################################################################################################################
wget http://www.collados.org/asix1/m01/tu3/loginteller.tar.gz 2> /dev/null
if [[ $? != 0 ]]
then
	echo "File not found"
	exit 2
fi
tar xfz loginteller.tar.gz
make loginteller 2> /dev/null # Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal   
if [[ $? != 0 ]]
then
	echo "File not compiled"
	exit 3
fi
make install 2> /dev/null # Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal 
if [[ $? != 0 ]]
then
	echo "Program not installed"
	exit 4
fi
make clean 2> /dev/null # Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal  
if [[ $? != 0 ]]
then
	echo "Problems cleaning temporary  files"
	exit 5
fi
exit 0
