#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
#########DEFAULT OPTIONS#######
GROUP=users  
SHELL=/bin/bash
PWD="fjeclot"
SKEL=/etc/skel # It is the default skeleton directory in most linux systems
###############################
clear
if [[ $EUID != 0 ]] # An alternative to (( EUID != 0 ))
then
	echo "This script must be run as a root"
	exit 1
fi
wget http://www.collados.org/asix1/m01/tu3/users.ods 2> /dev/null
if [[ $? != 0 ]]
then
	echo "Users list not found"
	exit 2
fi
libreoffice --headless --convert-to csv users.ods > /dev/null
if [[ $? != 0 ]]
then
	echo "Conversion failure"
	exit 3
fi
echo -n "Initial value for new users: "
read uid
echo "Creating users........"
while read username
do
    userdir=/home/$username
    useradd $username -u $uid -g $GROUP -d $userdir -m -k /etc/$SKEL -s $SHELL -p $(mkpasswd $PWD) 2> /dev/null
    if [[ $? != 0 ]]
	then
		echo "Problems creating a user"
		exit 4
	fi
    uid=$(expr $uid + 1) # An alternative to (( uid++ )). The expr command is used for basic numerical and string operations
done < users.csv
rm users.* # This is an extra. It removes users.ods and user.csv, that are not longer required
echo "Users were succesfully created on your system"
exit 0
